
# process name
PROCESS_NAME=inetd

# inet server config
CONFIG_FILE=/etc/inetd.conf

# inet server daemon executable file name
INETDAEMON=/usr/sbin/inetd

# additional inet server daemon arguments
INETDAEMON_ARGS=

PREAMBLE="# This file is autogenerated!"

parse_one_service()
{
	ERROR_CODE=0

	[ "${SERVICE_NAME:-not}" = "not" ]	&& ERROR_CODE=11
	[ "${PROTOCOL:-not}" = "not" ]		&& ERROR_CODE=12
	[ "${PORT:-not}" = "not" ]		&& ERROR_CODE=13
	[ "${USER:-not}" = "not" ]		&& ERROR_CODE=14
	[ "${SERVER:-not}" = "not" ]		&& ERROR_CODE=15
	[ "${FLAGS:-not}" = "not" ]		&& ERROR_CODE=16
	[ "${DAEMON:-not}" = "not" ]		&& ERROR_CODE=17

	if [ ! $ERROR_CODE -eq 0 ] ; then
		nls "ERROR: Parse error."
		case "$ERROR_CODE" in
			11)
				nls "%s not defined in %s." SERVICE_NAME "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			12)
				nls "%s not defined in %s." PROTOCOL "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			13)
				nls "%s not defined in %s." PORT "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			14)
				nls "%s not defined in %s." USER "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			15)
				nls "%s not defined in %s." SERVER "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			16)
				nls "%s not defined in %s." FLAGS "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
			17)
				nls "%s not defined in %s." DAEMON "/etc/sysconfig/rc-inetd/$CURRENT_SERVICE"
				;;
		esac
		return $ERROR_CODE
	fi

	[ "$SERVER" = "tcpd" ] && SERVER="/usr/sbin/tcpd"

	echo "$SERVICE_NAME	$SOCK_TYPE	$PROTOCOL	$FLAGS	$USER	$SERVER $DAEMON $DAEMONARGS"

	return 0
}
